Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.widget.netvibes
Class NetvibesWidgetPortlet

    java.lang.Object
      javax.portlet.GenericPortlet
          org.jboss.portal.widget.AbstractWidgetPortlet
              org.jboss.portal.widget.netvibes.NetvibesWidgetPortlet

All Implemented Interfaces:
  javax.portlet.EventPortlet, javax.portlet.Portlet, javax.portlet.PortletConfig, javax.portlet.ResourceServingPortlet

    public class NetvibesWidgetPortlet

extends AbstractWidgetPortlet

Version:
  $Revision$
Author:
  Emanuel Muckenhuber

Field Summary

Fields inherited from class org.jboss.portal.widget.AbstractWidgetPortlet
`EDIT_CONTENT, INIT_PARAM_CONNECTION_TIMEOUT, INIT_PARAM_ENTRY_EXPIRATION, INIT_PARAM_FETCH_WIDGETS_ON_LOOKUP, INIT_PARAM_QUERY_EXPIRATION`

Constructor Summary
`NetvibesWidgetPortlet()`

Method Summary
`protected void` | `doDispatch(javax.portlet.RenderRequest req, javax.portlet.RenderResponse resp)`
`protected void` | `doEditContent(javax.portlet.RenderRequest req, javax.portlet.RenderResponse resp)`
`protected void` | `doView(javax.portlet.RenderRequest req, javax.portlet.RenderResponse resp)`
`protected WidgetProvider` | `getProvider()`
`void` | `init()`
`void` | `processAction(javax.portlet.ActionRequest req, javax.portlet.ActionResponse resp)`

Methods inherited from class org.jboss.portal.widget.AbstractWidgetPortlet
`destroy`

Methods inherited from class javax.portlet.GenericPortlet
`doEdit, doHeaders, doHelp, getContainerRuntimeOptions, getDefaultNamespace, getInitParameter, getInitParameterNames, getNextPossiblePortletModes, getPortletConfig, getPortletContext, getPortletName, getProcessingEventQNames, getPublicRenderParameterNames, getPublishingEventQNames, getResourceBundle, getSupportedLocales, getTitle, init, processEvent, render, serveResource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NetvibesWidgetPortlet

    public NetvibesWidgetPortlet()

Method Detail

### getProvider

    protected WidgetProvider getProvider()

  Specified by:
    `getProvider` in class `AbstractWidgetPortlet`
  Returns:
    WidgetProvider

### init

    public void init()
              throws javax.portlet.PortletException

  Overrides:
    `init` in class `AbstractWidgetPortlet`
  Throws:
    `javax.portlet.PortletException`

### processAction

    public void processAction(javax.portlet.ActionRequest req,
                              javax.portlet.ActionResponse resp)
                       throws javax.portlet.PortletException,
                              javax.portlet.PortletSecurityException,
                              java.io.IOException

  Specified by:
    `processAction` in interface `javax.portlet.Portlet`
  Overrides:
    `processAction` in class `javax.portlet.GenericPortlet`
  Throws:
    `javax.portlet.PortletException`
    `javax.portlet.PortletSecurityException`
    `java.io.IOException`

### doView

    protected void doView(javax.portlet.RenderRequest req,
                          javax.portlet.RenderResponse resp)
                   throws javax.portlet.PortletException,
                          javax.portlet.PortletSecurityException,
                          java.io.IOException

  Overrides:
    `doView` in class `javax.portlet.GenericPortlet`
  Throws:
    `javax.portlet.PortletException`
    `javax.portlet.PortletSecurityException`
    `java.io.IOException`

### doDispatch

    protected void doDispatch(javax.portlet.RenderRequest req,
                              javax.portlet.RenderResponse resp)
                       throws javax.portlet.PortletException,
                              javax.portlet.PortletSecurityException,
                              java.io.IOException

  Overrides:
    `doDispatch` in class `javax.portlet.GenericPortlet`
  Throws:
    `javax.portlet.PortletException`
    `javax.portlet.PortletSecurityException`
    `java.io.IOException`

### doEditContent

    protected void doEditContent(javax.portlet.RenderRequest req,
                                 javax.portlet.RenderResponse resp)
                          throws javax.portlet.PortletException,
                                 javax.portlet.PortletSecurityException,
                                 java.io.IOException

  Throws:
    `javax.portlet.PortletException`
    `javax.portlet.PortletSecurityException`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD